Company Logo Endpoint
Search companies by name or domain and get matches with logo URLs
Authorization
BearerAuth AuthorizationBearer <token>
Enrich Layer API key, sent as Authorization: Bearer <key>
In: header
Query Parameters
q*string
Company name or domain to search for
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.enrichlayer.com/v3/company/logo?q=string"[
{
"companyName": "string",
"logoUrl": "string",
"domain": {
"resolved": "string",
"original": "string",
"alternatives": [
"string"
]
},
"industry": "string",
"employeeCount": 0,
"location": "string",
"linkedinUrl": "string"
}
]{
"code": 400,
"name": "Bad Request",
"description": "Invalid parameters provided. Refer to the documentation and message body for more info"
}{
"code": 401,
"name": "Unauthorized",
"description": "Invalid API key"
}{
"code": 403,
"name": "Forbidden",
"description": "You have run out of credits"
}{
"code": 429,
"name": "Too Many Requests",
"description": "Rate limited. Please retry"
}{
"code": 500,
"name": "Internal Server Error",
"description": "Internal Server Error"
}{
"code": 503,
"name": "Service Unavailable",
"description": "Retrieval failed, please retry."
}